Orxonox: orxonox::mbool Struct Reference

# orxonox::mbool Struct Reference

`#include <src/util/mbool.h>`

List of all members.

## Public Member Functions

unsigned char & | getMemory ()
| mbool (const mbool &value)
| mbool (bool value=false)
| operator bool () const
bool | operator! () const
bool | operator!= (const mbool &other) const
bool | operator!= (bool other) const
mbool | operator++ (int i)
mbool & | operator++ ()
const mbool & | operator= (const mbool &value)
const mbool & | operator= (bool value)
bool | operator== (const mbool &other) const
bool | operator== (bool other) const

## Private Attributes

union {
bool bool_: 1
unsigned char memory_
} | value_

## Constructor & Destructor Documentation

orxonox::mbool::mbool | ( | bool | value = `false` | ) | `[inline]`

orxonox::mbool::mbool | ( | const mbool & | value | ) | `[inline]`

References memory_, and value_.

## Member Function Documentation

unsigned char& orxonox::mbool::getMemory | ( |  | ) | `[inline]`

Referenced by orxonox::Synchronisable::registerVariable().

orxonox::mbool::operator bool | ( |  | ) | const`[inline]`

References bool_.

bool orxonox::mbool::operator! | ( |  | ) | const`[inline]`

bool orxonox::mbool::operator!= | ( | const mbool & | other | ) | const`[inline]`

References memory_, and value_.

bool orxonox::mbool::operator!= | ( | bool | other | ) | const`[inline]`

mbool orxonox::mbool::operator++ | ( | int | i | ) | `[inline]`

mbool& orxonox::mbool::operator++ | ( |  | ) | `[inline]`

const mbool& orxonox::mbool::operator= | ( | const mbool & | value | ) | `[inline]`

References memory_, and value_.

const mbool& orxonox::mbool::operator= | ( | bool | value | ) | `[inline]`

bool orxonox::mbool::operator== | ( | const mbool & | other | ) | const`[inline]`

References memory_, and value_.

bool orxonox::mbool::operator== | ( | bool | other | ) | const`[inline]`

## Member Data Documentation

bool orxonox::mbool::bool_

Referenced by operator bool().

unsigned char orxonox::mbool::memory_

Referenced by mbool(), operator!=(), operator=(), and operator==().

union { ... } orxonox::mbool::value_`[private]`

Referenced by mbool(), operator!=(), operator=(), and operator==().

The documentation for this struct was generated from the following file:

- src/util/mbool.h